# Examples

This directory contains demonstration scripts and examples for the Enhanced MCP Tools project.

## Demo Scripts

- **demo_archive_operations.py** - Demonstrates archive/compression functionality
- **demo_directory_tree_json.py** - Shows directory tree operations and JSON output
- **demo_modular_architecture.py** - Demonstrates the modular server architecture
- **demo_tre_llm_integration.py** - Shows tree/LLM integration features
- **simple_tre_demo.py** - Basic tree functionality demonstration

## Running Examples

Most examples can be run directly with Python:

```bash
cd examples
python demo_modular_architecture.py
```

Some examples may require the virtual environment to be activated:

```bash
uv sync  # or source .venv/bin/activate
python examples/demo_archive_operations.py
```

## Purpose

These scripts serve as both demonstrations of functionality and starting points for understanding how to use the various tools provided by the Enhanced MCP Tools server.
